import React from 'react';
import PropTypes from 'prop-types';
import Dropdown from 'react-bootstrap/Dropdown';

export default function AgencySelect({ name, onChange, placeholder, rry, title }) {
    
    if (rry.length > 0) {
        return (<>
		    <Dropdown>
			<Dropdown.Toggle id="dropdown-basic">{placeholder}
			</Dropdown.Toggle>
			<Dropdown.Menu>
			    {rry.map((item) => (
				<Dropdown.Item
				    eventKey={item.agency_id}
				    key={item.agency_id}>
				    {item.agency_name}
				</Dropdown.Item>
			    ))}
			</Dropdown.Menu>
		    </Dropdown>
		</>);
    } else {
        return <p>Loading...</p>;
    }
};

AgencySelect.propTypes = {
    name: PropTypes.string,
    onChange: PropTypes.func,
    title: PropTypes.string,
    placeholder: PropTypes.string,
    rry: PropTypes.array
};
