import React from 'react';
import PropTypes from 'prop-types';

import Count from './overview-next-table-count';

/*destructure props object*/
export default function OverviewNextTableEntry ({ agencyName, routeCount, tripCount }) {
    const routeCountBadge = <Count count={routeCount} />;
    const tripCountBadge = <Count count={tripCount} />;
    return (
        <tr>
            <td>{agencyName}</td>
            <td>{routeCount === null ? 'loading...' : routeCountBadge}</td>
            <td>{tripCount === null ? 'loading...' : tripCountBadge}</td>
        </tr>
    );
};

OverviewNextTableEntry.propTypes = {
    agencyName: PropTypes.string,
    routeCount: PropTypes.string,
    tripCount: PropTypes.string
};
