import React from 'react';
import PropTypes from 'prop-types';

/*destructure props object*/
const PathwaysTableEntry = ({
    pathwayId,
    fromStopId,
    toStopId,
    pathwayMode,
    isBidirectional,
    length,
    traversalTime,
    stairCount,
    maxSlope,
    minWidth,
    signpostedAs,
    reversedSignpostedAs
}) => {
    return (
        <tr>
            <td>{pathwayId}</td>
	    <td>{fromStopId}</td>
	    <td>{toStopId}</td>
	    <td>{pathwayMode}</td>
	    <td>{isBidirectional}</td>
	    <td>{length}</td>
	    <td>{traversalTime}</td>
	    <td>{stairCount}</td>
	    <td>{maxSlope}</td>
	    <td>{minWidth}</td>
	    <td>{signpostedAs}</td>
	    <td>{reversedSignpostedAs}</td>
        </tr>
    );
};

PathwaysTableEntry.propTypes = {
    pathwayId: PropTypes.string,
    fromStopId: PropTypes.string,
    toStopId: PropTypes.string,
    pathwayMode: PropTypes.number,
    isBidirectional: PropTypes.number,
    length: PropTypes.number,
    traversalTime: PropTypes.number,
    stairCount: PropTypes.number,
    maxSlope: PropTypes.number,
    minWidth: PropTypes.number,
    signpostedAs: PropTypes.string,
    reversedSignpostedAs: PropTypes.string
};

export default PathwaysTableEntry;
