import React from 'react';
import PropTypes from 'prop-types';

import TableEntries from './trips-route-day-table-entries';

/*destructure props object*/
export default function TripsRouteDayTable ({array, title}){

    if ( array !== undefined && array !== null) {
	/*return a React element*/
	return (
            <>
		<p>Table of {array.length}&nbsp;{title} today:</p>
		<table>
		<thead>
		    <tr>
			<th>trip_id</th>
			<th>trip_short_name</th>
			<th>trip_headsign</th>
		    </tr>
		</thead>
		<tbody>
		    <TableEntries array={array} />
		</tbody>
		</table>
            </>
	);
    }else{
	return (
            <>
		<p>loading...</p>
            </>
	);
    }
};
TripsRouteDayTable.propTypes = {
    array: PropTypes.array,
    title: PropTypes.string
};
