import React from 'react';
import { BrowserRouter, Route, Routes } from 'react-router-dom';

/*some stylesheet is required to use react-bootstrip components*/
import 'bootstrap/dist/css/bootstrap.min.css';

import NavBar from './components/nav-bar';
import HomePage from './pages/homepage';
import Files from './pages/files';
//TODO Date [today] is not implemented! import Overview from './pages/overview';
import OverviewNext from './pages/overview-next';
//TODO Disable this route as it is not working! import Service from './pages/service';
//TODO Disable this route as it is way too much overhead for API and database! import TripCalendar from './pages/trip-calendar';
import TripUpdates from './pages/trip-updates-route-day';
import Trips from './pages/trips-route-day';
import Contact from './pages/contact';

export default function Main() {
    return (
    //BrowserRouter is the router implementation for HTML5 browsers
    //Link enables Routes on an anchor tag
    //Switch returns only the first matching route rather than all
    //Route is the conditionally shown component //based on matching a path to a URL
        <BrowserRouter>
            <NavBar />
            <Routes>
                <Route path="/" element={<HomePage />} />
                <Route path="/agency" element={<OverviewNext />} />
                <Route path="/files" element={<Files />} />
                <Route path="/trip-updates" element={<TripUpdates />} />
                <Route path="/trips" element={<Trips />} />
                <Route path="/contact" element={<Contact />} />
            </Routes>
        </BrowserRouter>
    );
    /** TODO Date [today] is not implemented!
                <Route path="/overview-today" element={<Overview />} />
    */

    /** TODO Disable this route as it is not working!
                <Route path="/service" element={<Service />} />
    */

    /** TODO Disable this route as it is way too much overhead for API and database!
                <Route path="/trip-calendar" element={<TripCalendar />} />
    */
};
