import React, { useEffect, useState } from 'react';
import axios from 'axios';

import OverviewTable from '../components/overview-next-table';
import config from '../config';

export default function OverviewNext() {

    const [trips, setTrips] = useState([]);

    const getTrips = async () => {
        try {
	    //TODO Sort trips by agency name descending!
            /*get trips*/
            /*TODO handle errors: https://www.valentinog.com/blog/await-react/*/
            const res = await axios.get(`${config.API}number-of-trips`);

	    if ( res !== null && res !== undefined ) {
		setTrips(res.data);
	    }

        } catch (err) {
            console.error('err.message: ' + err.message);
        }
    };

    useEffect(() => {
            getTrips();
    }, []);


    if ( trips === null || trips === undefined || trips.length === 0 ) {
	return <p>loading...</p>;
    } else {
	return <OverviewTable overview={trips} />;
    }
};
